import { RollupOutput, RollupWatcher } from 'rollup';
import { BuildOptions as ViteBuildOptions } from 'vite/dist/node/index';
import { InlineConfig } from './interface';
import { Overwrite } from './utils';
export declare type Manifest = {
    fileName: string;
    filePath: string;
} | boolean;
export interface ViterBuildOptions {
    manifest?: Manifest;
    esbuild?: boolean;
}
export declare type BuildOptions = Overwrite<ViteBuildOptions, ViterBuildOptions>;
export declare function build(inlineConfig: InlineConfig): Promise<RollupOutput | RollupOutput[] | RollupWatcher>;
