import { UserConfig as ViteUserConfig } from 'vite';
import { UserConfigExport, InlineConfig, ResolvedConfig } from './interface';
export declare function defineConfig(config: UserConfigExport): UserConfigExport;
export declare function lookupConfigFile(configRoot?: string, configFile?: string): string | undefined;
export declare function resolveConfig(inlineConfig: InlineConfig, command: 'build' | 'serve', defaultMode?: string): Promise<ResolvedConfig>;
export declare function convertConfig(config: ResolvedConfig): ViteUserConfig;
